
QGIS Application - Bug report #22040

QGIS crashed when I use 3D View

2019-05-09 05:42 PM - Wolfgang Figura

Status: Open

Priority: High

Assignee:

Category: 3D

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29854

Description

When I use the 3D view, QGIS crashes reproducibly.

h2. User Feedback

When I use the 3D view, QGIS crashes reproducibly.

Report Details

Crash ID: 343c12136d6018e5544d50f723e565c45088949d

Stack Trace

QgsWindow3DEngine::tr :

QgsFlatTerrainGenerator::writeXml :

QMetaObject::activate :

QgsMapLayer::repaintRequested :

QgsRasterLayer::refreshRendererIfNeeded :

QgsRasterLayerRenderer::QgsRasterLayerRenderer :

QgsRasterLayer::createMapRenderer :

QgsMapRendererJob::prepareJobs :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererSequentialJob::start :

QgsTerrainGenerator::typeToString :

QgsFlatTerrainGenerator::writeXml :

QgsFlatTerrainGenerator::writeXml :

QgsCameraPose::setCenterPoint :

QgsWindow3DEngine::tr :

QgsWindow3DEngine::tr :

QMetaObject::activate :

QMetaObject::activate :

Qgs3DAlgorithms::qt_metacast :

QgsTerrainGenerator::typeToString :

QMetaObject::activate :

QMetaObject::activate :

QMetaObject::activate :

QFutureWatcherBase::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-10 06:08 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

with any data?

#2 - 2019-05-13 10:14 AM - Wolfgang Figura

I worked with a DEM (*.img). This led to a reproducible crash. Later I used the same dataset as GeoTiff. With this format I had no more problems.

Are there any file format limitations when using 3D-View?

#3 - 2019-05-13 02:11 PM - Giovanni Manghi

Wolfgang Figura wrote:

I worked with a DEM (*.img). This led to a reproducible crash.

please attach/link this dataset

#4 - 2019-05-13 04:11 PM - Wolfgang Figura

here you find the dataset:

www.uih-daten.de/Figura/DGM.zip

#5 - 2019-05-13 04:11 PM - Giovanni Manghi

- Status changed from Feedback to Open
